Subject: TIME Magazine Called This iPad Product 'Ingenious'.

From: "Touchfire Keyboard" <[email-masked]>
Date: Sun, 31 May 2015 04:47:24 -0700

Touchfire

Transform your IPad into a laptop replacement
http://www.frezuv.science/l/lt15GD1931OP13W/14O558WJ1245O23A361490T1123598995

See Touchfire in action
http://www.frezuv.science/l/lt15RI1931VX13A/14L558MM1245J23A361490I1123598995

Click here
http://www.frezuv.science/l/lt15QI1931JE13R/14L558XG1245P23X361490U1123598995

Touchfire Case & Keyboard
http://www.frezuv.science/l/lt15FV1931DV13C/14A558YD1245I23L361490N1123598995

Touchfire, Inc. | 1117 NW 54th Street | Seattle, WA 98107

If you'd prefer not to receive future emails, Unsubscribe Here.